export declare class TransportError extends Error {
    readonly cause?: unknown;
    constructor(message: string, cause?: unknown);
}
export declare class RpcError extends TransportError {
    constructor(message: string, cause?: unknown);
}
export declare class ProviderError extends TransportError {
    constructor(message: string, cause?: unknown);
}
export declare class TraceUnsupportedError extends ProviderError {
    constructor(message?: string);
}
